Skip to main content

Call Update

POST /telephony/calls/@channelKey/


URL Example

https://system_domain/api/v2/telephony/calls/@channelKey/


Request Body Parameters (form-data)

ParameterTypeRequiredDescription
actionstringYesupdate_call - this value must be used to update a call
сall_idnumberYesCall ID in the system
call_statusstringYesCall status, see description below
pbx_call_idstring
number
NoCall ID from the PBX
pbx_user_idstring
number
NoUser ID from the PBX
user_idnumberNoEmployee ID in the system
audio_recordfile (mp3/mp4/wav/ogg)NoCall recording
сommentstringNoComment for the ticket

Description of the call_status Parameter

Available values:

  1. ringing
  2. in-progress
  3. canceled
  4. missed
  5. failed
  6. answered
  7. busy

The ringing and in-progress statuses are active call statuses, meaning the user will be shown the call card. The remaining statuses are final call statuses and hide the call card.


Request Body Example (form-data)

Request to update a call

KeyValue
actionupdate_call
call_id345
call_statusringing
user_id1
commentVery important call!
info

Only one of the following parameter pairs can be passed at a time:

call_id or pbx_call_id

user_id or pbx_user_id – these parameters link the call to a specific user and assign them as the assignee/performer in the ticket.


Response Example
{
"data": {
"call_id": 123,
"pbx_call_id": null,
"user_id": 0,
"pbx_user_id": null,
"call_status": "ringing",
"audio_record": null,
"ticket_id": 4567
}
}